safepointeebase.h File Reference

Provides a base class for objects pointable by SafePtr. More...

`#include "utilities/saferemnant.h"`

## Classes

class | regina::SafePointeeBase< T >
| A base class for objects of type T to be referenceable by a SafePtr. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides a base class for objects pointable by SafePtr.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).